Package com.io7m.coffeepick.runtime.parser.spi

# Enum ParserResultType.Kind

java.lang.Object
java.lang.Enum<ParserResultType.Kind>
com.io7m.coffeepick.runtime.parser.spi.ParserResultType.Kind

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ParserResultType.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  ParserResultType

    public static enum ParserResultType.Kind
    extends java.lang.Enum<ParserResultType.Kind>

The kind of parsed value.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `REPOSITORY` | A repository was parsed.
  `RUNTIME` | A runtime was parsed.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ParserResultType.Kind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ParserResultType.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPOSITORY

    public static final ParserResultType.Kind REPOSITORY
    A repository was parsed.

  - ### RUNTIME

    public static final ParserResultType.Kind RUNTIME
    A runtime was parsed.

- ## Method Details

  - ### values

    public static ParserResultType.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ParserResultType.Kind valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null